#!/bin/bash

list=(
  147.182.172.189 # digital ocean
  #172.67.177.22 # cloudflare net
  #212.205.126.106 # greece
  #93.184.220.29 # edgecast
  #95.100.210.141 # akamai
)

pids=(
 # 2700 # powershell
 # 1556 # explorer
 # 2460 # SearchFilterHo
 # 2856 # explorer
 # 3324 # iexplorer
 # 3344 # iexplorer
 3720 # ppid of powershell
)

echo "HTB{echo -n "http://url.com/path.foo_PID_127.0.0.1" | md5sum}"

for ip in ${list[@]}; do
  for pid in ${pids[@]}; do
    echo Generating Flag for $ip and $pid:
		echo
    echo "HTB{echo -n "https://windowsliveupdater.com/update.ps1_"$pid"_"$ip""|md5sum}"
    echo "HTB{$(echo -n "http://windowsliveupdater.com/update.ps1_"$pid"_"$ip""|md5sum)}"
		echo
  done
done
